1.0

1.0

post /v1/replications

Description

파일스토리지 복제를 생성한다.

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

ReplicationCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedReplicationCreateResponse
401UnauthorizedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/replications

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = filestorage 1.0"

Request body

{
    "name": "my_volume",
    "cifs_password": "cifspwd0!!",
    "replication_frequency": "5min",
    "region": "kr-west1",
    "volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
    "backup_retention_count": 2,
    "replication_type": "replication"
}

Example HTTP response

Response 202

{
    "replication_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
    "replication_status": "creating",
    "source_volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
    "source_volume_region": "kr-west1",
    "protocol": "NFS",
    "replication_volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
    "replication_volume_region": "kr-west1"
}